function S=gitinfo()
% FUNCTION fc_amat.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2016- F. Cuvelier
%
  S=struct('name','fc-hypermesh', 'tag','0.0.8','commit','25736d4b5612eded558d0a96d3a06b468b27afe4','date', '2018-06-28','time','10-21-21','status',0);return; % automatically updated
  rep=fc_amat.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-amat','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
